=== modified file 'Ambiance/gtk-3.20/gtk-widgets.css'
--- Ambiance/gtk-3.20/gtk-widgets.css	2017-10-23 08:08:31 +0000
+++ Ambiance/gtk-3.20/gtk-widgets.css	2017-10-23 08:09:20 +0000
@@ -2625,6 +2625,28 @@
     text-shadow: none;
 }
 
+.primary-toolbar .linked button.suggested-action,
+headerbar .linked button.suggested-action {
+    box-shadow: inset 1px 0 @suggested_action_bg,
+                inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
+.primary-toolbar .linked button.suggested-action:first-child,
+headerbar .linked button.suggested-action:first-child {
+    box-shadow: inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
+.primary-toolbar .linked button.suggested-action:last-child,
+headerbar .linked button.suggested-action:last-child {
+    box-shadow: inset 1px 0 @suggested_action_bg;
+}
+
+.primary-toolbar .linked button.suggested-action:backdrop,
+headerbar .linked button.suggested-action:backdrop {
+    box-shadow: inset 1px 0 shade (@suggested_action_bg, 0.65),
+                inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
 /* destructive action */
 headerbar button.destructive-action:not(:disabled) * {
    color: white;
@@ -2675,6 +2697,28 @@
     text-shadow: none;
 }
 
+.primary-toolbar .linked button.destructive-action,
+headerbar .linked button.destructive-action {
+    box-shadow: inset 1px 0 @error_bg_color,
+                inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
+.primary-toolbar .linked button.destructive-action:first-child,
+headerbar .linked button.destructive-action:first-child {
+    box-shadow: inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
+.primary-toolbar .linked button.destructive-action:last-child,
+headerbar .linked button.destructive-action:last-child {
+    box-shadow: inset 1px 0 @error_bg_color;
+}
+
+.primary-toolbar .linked button.destructive-action:backdrop,
+headerbar .linked button.destructive-action:backdrop {
+    box-shadow: inset 1px 0 shade (@error_bg_color, 0.65),
+                inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
 .primary-toolbar separator,
 .primary-toolbar separator,
 .primary-toolbar separator:disabled,

=== modified file 'Radiance/gtk-3.20/gtk-widgets.css'
--- Radiance/gtk-3.20/gtk-widgets.css	2017-10-23 08:08:31 +0000
+++ Radiance/gtk-3.20/gtk-widgets.css	2017-10-23 08:09:20 +0000
@@ -2626,6 +2626,28 @@
     text-shadow: none;
 }
 
+.primary-toolbar .linked button.suggested-action,
+headerbar .linked button.suggested-action {
+    box-shadow: inset 1px 0 @suggested_action_bg,
+                inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
+.primary-toolbar .linked button.suggested-action:first-child,
+headerbar .linked button.suggested-action:first-child {
+    box-shadow: inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
+.primary-toolbar .linked button.suggested-action:last-child,
+headerbar .linked button.suggested-action:last-child {
+    box-shadow: inset 1px 0 @suggested_action_bg;
+}
+
+.primary-toolbar .linked button.suggested-action:backdrop,
+headerbar .linked button.suggested-action:backdrop {
+    box-shadow: inset 1px 0 shade (@suggested_action_bg, 0.65),
+                inset -1px 0 shade (@suggested_action_bg, 0.65);
+}
+
 /* destructive action */
 headerbar button.destructive-action:not(:disabled) * {
    color: white;
@@ -2676,6 +2698,28 @@
     text-shadow: none;
 }
 
+.primary-toolbar .linked button.destructive-action,
+headerbar .linked button.destructive-action {
+    box-shadow: inset 1px 0 @error_bg_color,
+                inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
+.primary-toolbar .linked button.destructive-action:first-child,
+headerbar .linked button.destructive-action:first-child {
+    box-shadow: inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
+.primary-toolbar .linked button.destructive-action:last-child,
+headerbar .linked button.destructive-action:last-child {
+    box-shadow: inset 1px 0 @error_bg_color;
+}
+
+.primary-toolbar .linked button.destructive-action:backdrop,
+headerbar .linked button.destructive-action:backdrop {
+    box-shadow: inset 1px 0 shade (@error_bg_color, 0.65),
+                inset -1px 0 shade (@error_bg_color, 0.65);
+}
+
 .primary-toolbar separator,
 .primary-toolbar separator,
 .primary-toolbar separator:disabled,

